Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

Create a new custom subtype for a account. Requires agency or account admin role.
POST https://services.leadconnectorhq.com/conversations/preferences/custom-subtypes

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Query parameters

locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account Id

Body

name
string
default:"Newsletter Subscription"
required
Name of the custom subtype (max 100 characters)
description
string
default:"Weekly newsletter subscription preferences"
Description of the custom subtype (max 100 characters)
channel
string
default:"email"
required
Communication channel Posibles valores: ‘email’, ‘sms’
language
string
default:"en"
required
Language code

Respuestas

{}
{}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/conversations/preferences/custom-subtypes' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Newsletter Subscription",
  "description": "Weekly newsletter subscription preferences",
  "channel": "email",
  "language": "en"
}'